# List a deal's rule evaluations

This deal's evaluations, newest first, without their per-rule results - the history strip. Each names the rule set and the version number it ran.

Access class: `def:read`.

## Endpoint

`GET /v1/definitions/{key}/rows/{rowId}/underwriting/evaluations`

## Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| key | path | string | Yes |
| rowId | path | string | Yes |
| body | query | null | No |
| params | query | object | No |
| query | query | object | No |

## Responses

### 200

the action's answer

Content type: `application/json`.

```json
{
  "data": [
    {
      "at": "string",
      "dealRowId": "",
      "evaluatedByAccountId": "",
      "facts": "string",
      "id": 1,
      "maxScore": 1,
      "results": [
        "string"
      ],
      "review": {
        "assigneeAccountId": "",
        "assigneeRole": "string",
        "createdAt": "string",
        "decidedAt": "string",
        "decidedByAccountId": "",
        "decision": "string",
        "id": "",
        "instructions": "string",
        "note": "string",
        "runId": "",
        "stepRowId": "",
        "subjectId": "",
        "subjectKind": "string",
        "title": "string",
        "updatedAt": "string",
        "workflowId": "",
        "workflowKey": "string",
        "workflowName": "string"
      },
      "score": 1,
      "setId": 1,
      "setKey": "string",
      "setName": "string",
      "setVersion": 1,
      "triggerKind": "string",
      "verdict": "string",
      "versionId": 1
    }
  ]
}
```

### default

a refusal: `{"error": "<what a person needs to read>"}`. 401 no credential, 402 the plan does not include this, 403 the seat does not, 404 the thing does not exist or is not yours to see.

Content type: `application/json`.

```json
{
  "error": "string"
}
```
